"use client";

import { createContext, useContext } from "react";

const TabIdContext = createContext<string | null>(null);

export const TabIdProvider = TabIdContext.Provider;

export function useTabId(): string | null {
  return useContext(TabIdContext);
}
